get
https://your-url-here.com/AccountAPI/accounts/
Body Response - Schema
200 OK
{
"account_number": "C000143542",
"first_name": "Ray",
"last_name": "Newton",
"policies": [
{
"policy_number": 7830442500
}
],
"account_status": "Active",
"customer_since": "2020-12-01T14:56:00.00Z",
"date_of_birth": "1970-10-01",
"delinquent": true,
"primary_phone_number": "+1 650-333-3333",
"work_phone_number": "+1 650-333-3333",
"fax_phone_number": "+1 818-446-1206",
"mobile_phone_number": "+1 818-446-1207",
"home_phone_number": "+1 818-446-1208",
"primary_address": {
"address_line_1": "The non-existing street",
"address_line_2": "No. 1",
"address_line_3": "Buildings block",
"city": "Miami",
"country": "US",
"country_name": "United States",
"location_description": "This location is an example",
"name": "The non-existing street, No. 1, Miami, 1234-567",
"state": "FL",
"state_name": "Florida",
"zip_code": "1234-567"
},
"tax_id": "123-45-6789",
"custom_fields": [
{
"key": "claim_custom_fields",
"value": "000000"
}
]
}400s
ErrorInfo:
type: object
properties:
details:
type: array
items:
type: object
$ref: '#/definitions/ErrorDetails'
developerMessage:
type: string
errorCode:
type: string
status:
type: integer
userMessage:
type: string
definitions:
ErrorDetails:
type: object
properties:
message:
type: string
properties:
type: object
$ref: '#/definitions/ErrorDetailsProperties'
stackTrace:
type: string
ErrorDetailsProperties:
type: object
properties:
lineNumber:
type: integer
parameterLocation:
type: string
parameterName:
type: string
TroubleshootingIf you have any questions regarding the usage of this API, or if you’re having any technical issues, please open a ticket using this form.